curl --request PATCH \
--url https://api.lightspark.com/grid/2025-10-13/customers/external-accounts/{externalAccountId} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"platformAccountId": "ext_acc_654321"
}
'{
"id": "ExternalAccount:e85dcbd6-dced-4ec4-b756-3c3a9ea3d965",
"status": "ACTIVE",
"currency": "USD",
"accountInfo": {
"accountType": "GBP_ACCOUNT",
"pixKey": "<string>",
"pixKeyType": "CPF",
"taxId": "<string>",
"paymentRails": [
"PIX"
],
"beneficiary": {
"beneficiaryType": "INDIVIDUAL",
"fullName": "<string>",
"birthDate": "<string>",
"nationality": "<string>",
"email": "<string>",
"phoneNumber": "<string>",
"countryOfResidence": "<string>",
"address": {
"line1": "123 Main Street",
"postalCode": "94105",
"country": "US",
"line2": "Apt 4B",
"city": "San Francisco",
"state": "CA"
}
}
},
"customerId": "Customer:da459a29-1fb7-41ce-a4cb-eb3a3c9fd7a7",
"platformAccountId": "acc_123456789",
"defaultUmaDepositAccount": false,
"beneficiaryVerificationStatus": "MATCHED",
"beneficiaryVerifiedData": {
"fullName": "John Doe"
},
"cryptoNetwork": "SOLANA_MAINNET"
}Update mutable fields on a customer external account. Only platformAccountId and beneficiary can be updated via this endpoint.
curl --request PATCH \
--url https://api.lightspark.com/grid/2025-10-13/customers/external-accounts/{externalAccountId} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"platformAccountId": "ext_acc_654321"
}
'{
"id": "ExternalAccount:e85dcbd6-dced-4ec4-b756-3c3a9ea3d965",
"status": "ACTIVE",
"currency": "USD",
"accountInfo": {
"accountType": "GBP_ACCOUNT",
"pixKey": "<string>",
"pixKeyType": "CPF",
"taxId": "<string>",
"paymentRails": [
"PIX"
],
"beneficiary": {
"beneficiaryType": "INDIVIDUAL",
"fullName": "<string>",
"birthDate": "<string>",
"nationality": "<string>",
"email": "<string>",
"phoneNumber": "<string>",
"countryOfResidence": "<string>",
"address": {
"line1": "123 Main Street",
"postalCode": "94105",
"country": "US",
"line2": "Apt 4B",
"city": "San Francisco",
"state": "CA"
}
}
},
"customerId": "Customer:da459a29-1fb7-41ce-a4cb-eb3a3c9fd7a7",
"platformAccountId": "acc_123456789",
"defaultUmaDepositAccount": false,
"beneficiaryVerificationStatus": "MATCHED",
"beneficiaryVerifiedData": {
"fullName": "John Doe"
},
"cryptoNetwork": "SOLANA_MAINNET"
}API token authentication using format <api token id>:<api client secret>
System-generated unique external account identifier
Request body for updating an external account. Only a limited set of fields are mutable.
External account updated successfully
The system generated identifier of this account
"ExternalAccount:e85dcbd6-dced-4ec4-b756-3c3a9ea3d965"
Status of the external account
PENDING, ACTIVE, UNDER_REVIEW, INACTIVE "ACTIVE"
The ISO 4217 currency code
"USD"
Show child attributes
The customer this account is tied to, or null if the account is on behalf of the platform.
"Customer:da459a29-1fb7-41ce-a4cb-eb3a3c9fd7a7"
Optional platform-specific identifier for this account
"acc_123456789"
Whether this account is the default UMA deposit account for the customer. If true, incoming UMA payments to this customer's UMA address will be automatically deposited into this account instead of the primary internal account. False if not provided. Note that at most, one external account can be set as the default UMA deposit account for a customer. If there is no default UMA deposit account, incoming UMA payments will be deposited into the primary internal account for the customer.
false
The result of verifying the beneficiary name against the account holder name
MATCHED, PARTIAL_MATCH, NOT_MATCHED, UNSUPPORTED, CHECKED_BY_RECEIVING_FI, PENDING Verified beneficiary data returned by the payment rail, if available
Show child attributes
The blockchain network for this external account, if applicable. Present when the account is a cryptocurrency wallet. Example values: SOLANA_MAINNET, SOLANA_DEVNET, ETHEREUM_MAINNET, ETHEREUM_TESTNET, BASE_MAINNET, BASE_TESTNET, SPARK_MAINNET, SPARK_TESTNET, LIGHTNING_MAINNET, LIGHTNING_REGTEST.
"SOLANA_MAINNET"
Was this page helpful?